﻿namespace BinDataLoader.Enumeration
{
    /// <summary>
    /// Тип свечи
    /// </summary>
    enum CandleType
    {
        /// <summary>
        /// Свеча, группируемая по тайм-фрейму.
        /// </summary>
        TimeFrame,

        /// <summary>
        /// Свеча, группируемая по ценовому диапазону. 
        /// </summary>
        Range,

        /// <summary>
        /// Свеча, группируемая по количеству контрактов.
        /// </summary>
        Volume,

        /// <summary>
        /// Свеча, группируемая по количеству сделок.
        /// </summary>
        Tick,

        /// <summary>
        /// Свеча пункто-цифрового графика (график крестики-нолики).
        /// </summary>
        PnF,

        /// <summary>
        /// Свеча Рэнко графика.
        /// </summary>
        Renko
    }
}